Package org.jcsp.lang

# Interface Any2AnyConnection

public interface Any2AnyConnection
Defines an interface for a connection shared by multiple clients and multiple servers.

Author:
  Quickstone Technologies Limited

## Method Summary

Modifier and Type
Method
Description
`SharedAltingConnectionClient`
`client()`
Returns a reference to the client end of the connection for use by the client processes.
`SharedConnectionServer`
`server()`
Returns a reference to the server end of the connection for use by the server processes.

## Method Details

### client

SharedAltingConnectionClient client()
Returns a reference to the client end of the connection for use by the client processes.

### server

SharedConnectionServer server()
Returns a reference to the server end of the connection for use by the server processes.